package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag740;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT740Creator;

/**
 * @author gaosheng
 * @date 2023/3/1
 */
public class Tag25Creator extends AbsTagCreate {

     private MT740Creator mt740Creator;

    public Tag25Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt740Creator= (MT740Creator) absMTCreator;
    }

    public void creator()
    {
        String tag25Value = mt740Creator.getAccountIdentification();
        mt740Creator.set("25", tag25Value);
    }
}
